> ## Documentation Index
> Fetch the complete documentation index at: https://pingback.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar Contatos

> Retorna uma lista paginada de contatos. Cada página contém 10 resultados.



## OpenAPI

````yaml GET /contacts
openapi: 3.1.0
info:
  title: Pingback Connect API
  description: Public API v2 for managing contacts in Pingback Connect.
  version: 2.0.0
  license:
    name: MIT
servers:
  - url: https://connect.pingback.com/v2
security:
  - apiKeyAuth: []
tags:
  - name: Contacts
    description: >-
      Operations related to contact management, including creation, retrieval,
      update, deletion, and listing of contacts.
  - name: Deals
    description: >-
      Operations related to deals, including creation, update, retrieval,
      deletion, and listing of deals.
  - name: Segments
    description: >-
      Operations related to segmentation lists, including listing segments and
      associating or removing contacts from segments.
  - name: Notes
    description: Operations related to notes, including creation and listing notes.
  - name: Email Verification
    description: >-
      Operations related to email verification, including validating email
      addresses and returning verification results.
paths:
  /contacts:
    get:
      tags:
        - Contacts
      summary: List contacts
      description: Returns a paginated list of contacts. Each page contains 10 results.
      parameters:
        - $ref: '#/components/parameters/DeveloperMode'
        - $ref: '#/components/parameters/ApiKey'
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
          example: 0
      responses:
        '200':
          description: Paginated list of contacts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactListResponse'
              examples:
                success:
                  value:
                    message: Contacts found
                    data:
                      page: 0
                      total: 2042
                      data:
                        - id: 36c8c534-fcca-4f79-b3e6-c492f82c2333
                          email: example@email.com
                          status: active
                          source: PublicApi
                          origin: null
                          segmentedListsIds:
                            - 6a14938e-04eb-42e3-baf7-b3f78fe78ddd
                          createdAt: '2025-12-22T18:11:43.719Z'
                          attributes:
                            name: John Doe
                            phone: '+5531999999999'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    DeveloperMode:
      name: x-developer-mode
      in: header
      required: false
      schema:
        type: boolean
    ApiKey:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
  schemas:
    ContactListResponse:
      type: object
      properties:
        page:
          type: integer
        total:
          type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/ContactListItem'
    ContactListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        email:
          type: string
          format: email
        status:
          $ref: '#/components/schemas/ContactStatus'
        source:
          $ref: '#/components/schemas/ContactSource'
        origin:
          $ref: '#/components/schemas/ContactOrigin'
          nullable: true
        segmentedListsIds:
          type: array
          items:
            type: string
            format: uuid
        createdAt:
          type: string
          format: date-time
        attributes:
          type: object
          additionalProperties:
            type: string
            nullable: true
    Error:
      type: object
      required: []
      properties:
        error:
          type: string
          description: Error description
        requestId:
          type: string
          description: Request ID
        errorCode:
          type: string
          description: Error code
    ContactStatus:
      type: string
      enum:
        - active
        - inactive
        - invalid
        - unverified
        - unsubscribed
        - bounced
        - complained
    ContactSource:
      type: string
      enum:
        - Form
        - PublicApi
        - Import
        - User
        - Blog
        - System
        - Webhook
    ContactOrigin:
      type: object
      properties:
        url:
          type: string
        utmSource:
          type: string
        utmCampaign:
          type: string
        utmMedium:
          type: string
        utmTerm:
          type: string
        utmContent:
          type: string
  responses:
    Forbidden:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            forbidden:
              summary: Access denied
              value:
                error: >-
                  User is not authorized to access this resource with an
                  explicit deny in an identity-based policy.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: FORBIDDEN
    InternalServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            internal_error:
              summary: Internal server error
              value:
                error: An unexpected error occurred.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: INTERNAL_SERVER_ERROR
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````